## org.gnu.gtk.event
Class ConfigureEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ConfigureEvent

All Implemented Interfaces:
  java.io.Serializable

public class ConfigureEvent
extends GtkEvent

This event is used to identify a Configure event on a Widget.

See Also:
  `ConfigureListener`, Serialized Form

Nested Class Summary
`static class` `ConfigureEvent.Type`

Constructor Summary
`ConfigureEvent(java.lang.Object source, EventType type, EventConfigure event)` Constructor for ConfigureEvent.

Method Summary
`int` `getHeight()`
`int` `getWidth()`
`Window` `getWindow()`
`int` `getX()`
`int` `getY()`
`boolean` `isOfType(ConfigureEvent.Type aType)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigureEvent

    public ConfigureEvent(java.lang.Object source,
                          EventType type,
                          EventConfigure event)

  Constructor for ConfigureEvent.

Parameters:
  `source` -
  `type` -

Method Detail

### isOfType

    public boolean isOfType(ConfigureEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### getHeight

    public int getHeight()

  Returns:
    Returns the height.

### getWidth

    public int getWidth()

  Returns:
    Returns the width.

### getX

    public int getX()

  Returns:
    Returns the x.

### getY

    public int getY()

  Returns:
    Returns the y.

### getWindow

    public Window getWindow()

  Returns:
    Returns the window